| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_fragment_head Struct Reference

## Public Attributes
struct _fragment_item * | next
struct _fragment_item * | first_gap
unsigned | ref_count
uint32_t | contiguous_len
uint32_t | frame
uint32_t | len
uint32_t | fragment_nr_offset
uint32_t | datalen
uint32_t | reassembled_in
uint8_t | reas_in_layer_num
uint32_t | flags
tvbuff_t * | tvb_data
const char * | error

## Member Data Documentation

## ◆ contiguous_len

uint32_t _fragment_head::contiguous_len

contiguous length from head up to first gap

## ◆ datalen

uint32_t _fragment_head::datalen

When flags&FD_BLOCKSEQUENCE is set, the index of the last block (segments in datagram + 1); otherwise the number of bytes of the full datagram. Only valid in the first item of the fragments list when flags&FD_DATALEN is set.

## ◆ error

const char* _fragment_head::error

Null if the reassembly had no error; non-null if it had an error, in which case it's the string for the error.

## ◆ first_gap

struct _fragment_item* _fragment_head::first_gap

pointer to last fragment before first gap. NULL if there is no fragment starting at offset 0

## ◆ flags

uint32_t _fragment_head::flags

XXX - do some of these apply only to reassembly heads and others only to fragments within a reassembly?

## ◆ fragment_nr_offset

uint32_t _fragment_head::fragment_nr_offset

offset for frame numbering, for sequences, where the provided fragment number of the first fragment does not start with 0

## ◆ frame

uint32_t _fragment_head::frame

maximum of all frame numbers added to reassembly

## ◆ len

uint32_t _fragment_head::len

When flags&FD_BLOCKSEQUENCE and FD_DEFRAGMENTED are set, the number of bytes of the full datagram. Otherwise not valid.

## ◆ reas_in_layer_num

uint8_t _fragment_head::reas_in_layer_num

The current "depth" or layer number in the current frame where reassembly was completed. Example: in SCTP there can be several data chunks and we want the reassembled tvb for the final segment only.

## ◆ reassembled_in

uint32_t _fragment_head::reassembled_in

frame where this PDU was reassembled, only valid when FD_DEFRAGMENTED is set

## ◆ ref_count

unsigned _fragment_head::ref_count

reference count in reassembled_table

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/reassemble.h